compile:
  stage: build
  image: asciidoctor/docker-asciidoctor
  script:
    - mkdir -p build
    - cp -r ./Treinamentos/Mecânica/* build
    - cp -r ./Treinamentos/Programacao/*/* build
    - cp -r ./Tutoriais/*/*/* build
    - cp -r ./.asciidoc_format/* build
    - cd build
    - asciidoctor *.adoc
  artifacts:
    paths:
      - build/ # instruct GitLab to keep the main files
  only:
    - master

pages:
  stage: deploy
  script:
    - mkdir public  # create a folder called public
    - rm build/*-pt.html
    - cp build/*.html public  # copy the files to public
    - cp -r build/Imagens public/
  artifacts:
    paths:
      - public  # instruct GitLab to keep the public folder
  only:
    - master
